Name:             m64py
Version:          0.2.3
Release:          %mkrel 1
Summary:          A Qt5 frontend for Mupen64Plus
License:          GPLv3
Group:            Emulators
Url:              http://m64py.sourceforge.net
Source:           http://sourceforge.net/projects/m64py/files/%{name}-%{version}/%{name}-%{version}.tar.xz
Patch0:           m64py-git-UnicodeDecodeError-corrected.patch
Patch1:           m64py-git-fix-QKeySequence-crash.patch
Patch2:           m64py-git-Assign-input-values-from-button-widget-text.patch

BuildArch:        noarch
BuildRequires:    python3-qt5-devel
BuildRequires:    python3-sip-devel
Requires:         mupen64plus >= 2.0
Requires:         %{_lib}sdl2.0_0
Requires:         python-opengl
Requires:         python3-qt5
Requires:         python3-sip

%description
M64Py is a Qt5 front-end (GUI) for Mupen64Plus 2.0, a cross-platform
plugin-based Nintendo 64 emulator. The front-end is written in Python
and it provides a user-friendly interface to Mupen64Plus.

%prep
%setup -q
%apply_patches

# remove shebang from non-executable scripts
for i in src/m64py/SDL/*.py; do
  sed -i '1{\@^#!/usr/bin/env python@d}' $i
done

%build
%py3_build

%install
%py3_install

%files
%doc AUTHORS ChangeLog COPYING LICENSES PKG-INFO README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info


%changelog
* Tue May 24 2016 woodhead <pp> 0.2.3-1pclos2016
- imported package
